#include <stdlib.h>
#include <stdio.h>
#include <math.h>

typedef struct { double re; double im; } complex;

int
square(complex *pa, complex *pb)
{
  pb->re = pa->re * pa->re - pa->im * pa->im;
  pb->im = 2.0 * pa->re * pa->im;
  return(0);
}

int
main(int argc, char *argv[])
{
  complex a, b;

  a.re = atof(argv[1]);
  a.im = atof(argv[2]);

  square(&a,&b);

  fprintf(stdout,"\n%f %f\n",b.re,b.im);
  return(0);
}
